classification
Title: Correct __sizeof__ support for deque
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: meador.inge, python-dev, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-07-27 15:47 by serhiy.storchaka, last changed 2012-08-03 12:52 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
deque_sizeof.patch serhiy.storchaka, 2012-07-27 15:47 Patch for 3.3 review
deque_sizeof-3.2.patch serhiy.storchaka, 2012-07-27 15:49 Patch for 3.2 review
deque_sizeof-2.7.patch serhiy.storchaka, 2012-07-27 15:49 Patch for 2.7 review
deque_sizeof-3.3-2.patch serhiy.storchaka, 2012-07-29 19:15 Patch for 3.3 review
deque_sizeof-3.2-2.patch serhiy.storchaka, 2012-07-29 19:16 Patch for 3.2 review
deque_sizeof-2.7-2.patch serhiy.storchaka, 2012-07-29 19:16 Patch for 2.7 review
Messages (3)
msg166578 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-27 15:47
Here is a patch that implements correct __sizeof__ for collections.deque.

Test depends on issue15467.
msg166805 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-29 19:15
Patches updated. Now __sizeof__ is O(1) as Martin advised.
msg167320 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-03 12:52
New changeset a3d49f1de893 by Jesus Cea in branch '2.7':
Closes #15469: Correct __sizeof__ support for deque
http://hg.python.org/cpython/rev/a3d49f1de893

New changeset b0725c1b3068 by Jesus Cea in branch '3.2':
Closes #15469: Correct __sizeof__ support for deque
http://hg.python.org/cpython/rev/b0725c1b3068

New changeset b80a780514dd by Jesus Cea in branch 'default':
MERGE: Closes #15469: Correct __sizeof__ support for deque
http://hg.python.org/cpython/rev/b80a780514dd
History
Date User Action Args
2012-08-03 12:52:40python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg167320

resolution: fixed
stage: resolved
2012-07-29 19:16:47serhiy.storchakasetfiles: + deque_sizeof-2.7-2.patch
2012-07-29 19:16:19serhiy.storchakasetfiles: + deque_sizeof-3.2-2.patch
2012-07-29 19:15:51serhiy.storchakasetfiles: + deque_sizeof-3.3-2.patch

messages: + msg166805
2012-07-29 04:00:26meador.ingesetnosy: + meador.inge
2012-07-27 15:49:54serhiy.storchakasetfiles: + deque_sizeof-2.7.patch
2012-07-27 15:49:23serhiy.storchakasetfiles: + deque_sizeof-3.2.patch
nosy: + rhettinger
2012-07-27 15:47:58serhiy.storchakacreate